<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/net/socket.hpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('da/dfc/socket_8hpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">socket.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes definitions for IPv6 sockets.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="../../dd/d45/openthread_8h_source.html">openthread.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../dc/d02/ip6__address_8hpp_source.html">net/ip6_address.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for socket.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d6e/socket_8hpp__incl.png" border="0" usemap="#src_2core_2net_2socket_8hpp" alt=""/></div>
<map name="src_2core_2net_2socket_8hpp" id="src_2core_2net_2socket_8hpp">
<area shape="rect" id="node2" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="229,79,329,104"/>
<area shape="rect" id="node8" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="5,152,148,177"/>
<area shape="rect" id="node3" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="155,299,219,324"/>
<area shape="rect" id="node4" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="408,299,483,324"/>
<area shape="rect" id="node5" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="272,225,409,251"/>
<area shape="rect" id="node7" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="222,152,336,177"/>
<area shape="rect" id="node6" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="246,299,384,324"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d0d/socket_8hpp__dep__incl.png" border="0" usemap="#src_2core_2net_2socket_8hppdep" alt=""/></div>
<map name="src_2core_2net_2socket_8hppdep" id="src_2core_2net_2socket_8hppdep">
<area shape="rect" id="node2" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="3091,299,3229,324"/>
<area shape="rect" id="node38" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="2416,152,2610,177"/>
<area shape="rect" id="node50" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="2755,79,2901,104"/>
<area shape="rect" id="node3" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="3957,899,4054,924"/>
<area shape="rect" id="node4" href="../../d8/d6a/message_8cpp.html" title="This file implements the message buffer pool and message buffers. " alt="" coords="3298,379,3505,404"/>
<area shape="rect" id="node5" href="../../d0/d54/tasklet_8cpp.html" title="This file implements the tasklet scheduler. " alt="" coords="2830,379,3021,404"/>
<area shape="rect" id="node6" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="3243,899,3424,924"/>
<area shape="rect" id="node7" href="../../df/d5b/icmp6_8cpp.html" title="This file implements ICMPv6. " alt="" coords="1981,379,2136,404"/>
<area shape="rect" id="node8" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="1042,899,1180,924"/>
<area shape="rect" id="node9" href="../../de/db9/ip6__filter_8cpp.html" title="This file implements IPv6 datagram filtering. " alt="" coords="2139,639,2309,664"/>
<area shape="rect" id="node10" href="../../d3/d05/ip6__mpl_8cpp.html" title="This file implements MPL. " alt="" coords="3831,379,3998,404"/>
<area shape="rect" id="node11" href="../../dd/daa/ip6__routes_8cpp.html" title="This file implements IPv6 route tables. " alt="" coords="4022,379,4204,404"/>
<area shape="rect" id="node12" href="../../d9/db7/netif_8cpp.html" title="This file implements IPv6 network interfaces. " alt="" coords="4229,379,4374,404"/>
<area shape="rect" id="node13" href="../../d4/d07/udp6_8cpp.html" title="This file implements UDP/IPv6 sockets. " alt="" coords="1808,379,1957,404"/>
<area shape="rect" id="node14" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="3406,805,3546,844"/>
<area shape="rect" id="node16" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="2332,899,2497,924"/>
<area shape="rect" id="node17" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="3067,892,3219,931"/>
<area shape="rect" id="node18" href="../../d5/d6a/ncp__base_8cpp.html" title="This file implements a Spinel interface to the OpenThread stack. " alt="" coords="3448,899,3600,924"/>
<area shape="rect" id="node19" href="../../d0/d95/ncp__spi_8cpp.html" title="This file implements a SPI interface to the OpenThread stack. " alt="" coords="3624,899,3763,924"/>
<area shape="rect" id="node20" href="../../d4/dae/ncp__uart_8cpp.html" title="This file contains definitions for a UART based NCP interface to the OpenThread stack. " alt="" coords="3787,899,3933,924"/>
<area shape="rect" id="node21" href="../../d6/d2b/lowpan_8cpp.html" title="This file implements 6LoWPAN header compression. " alt="" coords="2560,812,2741,837"/>
<area shape="rect" id="node22" href="../../de/d66/lowpan_8hpp.html" title="This file includes definitions for 6LoWPAN header compression. " alt="" coords="2586,552,2768,577"/>
<area shape="rect" id="node23" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="2715,632,2861,671"/>
<area shape="rect" id="node25" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="2816,805,2963,844"/>
<area shape="rect" id="node31" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="2312,379,2501,404"/>
<area shape="rect" id="node15" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="2735,899,2887,924"/>
<area shape="rect" id="node30" href="../../d1/d10/network__data_8hpp.html" title="This file includes definitions for managing Thread Network Data. " alt="" coords="1656,719,1816,757"/>
<area shape="rect" id="node24" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="2045,805,2206,844"/>
<area shape="rect" id="node26" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="2986,805,3147,844"/>
<area shape="rect" id="node27" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="2279,719,2431,757"/>
<area shape="rect" id="node28" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="1352,812,1512,837"/>
<area shape="rect" id="node29" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="1551,805,1686,844"/>
<area shape="rect" id="node32" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="2309,465,2462,491"/>
<area shape="rect" id="node34" href="../../d0/d78/mle_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="1633,552,1794,577"/>
<area shape="rect" id="node37" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="1510,632,1645,671"/>
<area shape="rect" id="node33" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="1921,545,2082,584"/>
<area shape="rect" id="node35" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="408,639,646,664"/>
<area shape="rect" id="node36" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="1770,639,1963,664"/>
<area shape="rect" id="node39" href="../../d0/dba/icmp6_8hpp.html" title="This file includes definitions for ICMPv6. " alt="" coords="2099,225,2255,251"/>
<area shape="rect" id="node41" href="../../df/dab/ip6__mpl_8hpp.html" title="This file includes definitions for MPL. " alt="" coords="3076,225,3244,251"/>
<area shape="rect" id="node42" href="../../d3/d23/tcp_8hpp.html" title="This file includes definitions for parsing TCP header. " alt="" coords="2464,299,2603,324"/>
<area shape="rect" id="node43" href="../../d0/db7/udp6_8hpp.html" title="This file includes definitions for UDP/IPv6 sockets. " alt="" coords="1290,225,1440,251"/>
<area shape="rect" id="node40" href="../../d3/db5/cli_8hpp.html" title="This file contains definitions for the CLI interpreter. " alt="" coords="4337,725,4434,751"/>
<area shape="rect" id="node44" href="../../dd/d28/coap__server_8hpp.html" title="This file includes definitions for the CoAP server. " alt="" coords="896,372,1030,411"/>
<area shape="rect" id="node45" href="../../da/de7/announce__begin__client_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="331,459,520,497"/>
<area shape="rect" id="node46" href="../../dd/d13/energy__scan__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="544,459,715,497"/>
<area shape="rect" id="node47" href="../../d0/d93/joiner_8hpp.html" title="This file includes definitions for the Joiner role. " alt="" coords="739,465,927,491"/>
<area shape="rect" id="node48" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="1408,459,1571,497"/>
<area shape="rect" id="node49" href="../../d2/d73/panid__query__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="93,459,256,497"/>
</map>
</div>
</div>
<p><a href="../../da/dfc/socket_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html">Thread::Ip6::MessageInfo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements message information for an IPv6 message.  <a href="../../da/d46/classThread_1_1Ip6_1_1MessageInfo.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html">Thread::Ip6::SockAddr</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements a socket address.  <a href="../../d2/d7a/classThread_1_1Ip6_1_1SockAddr.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:d2/de1/namespaceThread_1_1Ip6"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Thread::Ip6</a></td></tr>
<tr class="memdesc:d2/de1/namespaceThread_1_1Ip6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace includes definitions for IPv6 networking. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes definitions for IPv6 sockets. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_73cb4d11b06c10448caf49ed02a351c4.html">net</a></li><li class="navelem"><a class="el" href="../../da/dfc/socket_8hpp.html">socket.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
